# rtls-system-health-check
________________________________
Package implementing system health check utility. Two services measurement engine and health check service.

## Features
________________________________
 * Measurements collection
 * RTLS health report generation

## Requirements
________________________________
 * NodeJs v20.x
 * Python v3

## Project setup
________________________________

### Start Measurements Engine Service
```
npm run start:me
```
### Compile and Start System Health Check Service
```
npm run start:hc
```
### Run Unit Tests
```
npm run test:unit
```
### Run Integration Tests
```
npm run test:integration
```

### Lint checks
```
npm run list
```

## Project build
________________________________
To build and publish deb package it is necessary follow the steps below:
 * version bump: `npm run version:patch`
 * create `master` branch: `git checkout -b master`
 * push `master` branch: `git push origin master -f` 

This will trigger Jenkins task that will build `*.deb` package and publish it dev repository. 
