#!/usr/bin/env bash
set -x #echo on

RELEASE_BRANCH="master"

# check tag existence (via `git describe`) for release branch
if [ "${SAFE_BRANCH_NAME}" = "${RELEASE_BRANCH}" ];
then
    echo "$(git describe --tags --long HEAD | awk -F- '{print $1}' | sed 's/^dev\///' | sed 's/^v//')"
else
    echo "$(cat package.json |jq '.version' -r)"
fi
