"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = __importDefault(require("path"));
const dotenv_1 = __importDefault(require("dotenv"));
const confme_1 = __importDefault(require("./confme"));
function getEnvPath(env) {
    if (env === 'test') {
        return path_1.default.join(__dirname, '../../../.env.test');
    }
    else if (env === 'prod' || env === 'production') {
        return path_1.default.join(__dirname, '../../../../.env');
    }
    return path_1.default.join(__dirname, '../../../.env.defaults');
}
const env_path = getEnvPath(process.env.NODE_ENV);
dotenv_1.default.config({ path: env_path });
exports.default = (0, confme_1.default)(path_1.default.join(__dirname, '../config/config.json'));
