#!/usr/bin/env bash
DIRNAME_PREFIX=/usr/rtls/rtls-system-health-check


cp $DIRNAME_PREFIX/devops/sys-services/rtls-system-health-check.service /usr/lib/systemd/system
chmod 644 /usr/lib/systemd/system/rtls-system-health-check.service
chown root:root /usr/lib/systemd/system/rtls-system-health-check.service

cp $DIRNAME_PREFIX/devops/sys-services/rtls-measurements-engine.service /usr/lib/systemd/system
chmod 644 /usr/lib/systemd/system/rtls-measurements-engine.service
chown root:root /usr/lib/systemd/system/rtls-measurements-engine.service

systemctl enable rtls-measurements-engine
service rtls-measurements-engine start
systemctl enable rtls-system-health-check
service rtls-system-health-check start

exit 0
