#!/usr/bin/env bash

if sudo systemctl is-active --quiet rtls-system-health-check; then
    echo "Stopping rtls-system-health-check"
    sudo systemctl stop rtls-system-health-check
else
    echo "rtls-system-health-check is not active. No need to stop."
fi

if [ -e /usr/lib/systemd/system/rtls-system-health-check.service ]; then
  rm -rf /usr/lib/systemd/system/rtls-system-health-check.service
fi


if sudo systemctl is-active --quiet rtls-measurements-engine; then
    echo "Stopping rtls-measurements-engine"
    sudo systemctl stop rtls-measurements-engine
else
    echo "rtls-measurements-engine is not active. No need to stop."
fi

if [ -e /usr/lib/systemd/system/rtls-measurements-engine.service ]; then
  rm -rf /usr/lib/systemd/system/rtls-measurements-engine.service
fi
